import request from '@/utils/request'

// 查询安全分级类型列表
export function listClasstype(query) {
  return request({
    url: '/laboratory/classtype/list',
    method: 'get',
    params: query
  })
}

// 查询安全分级类型列表(不带分页)
export function listClasstypeAll(query) {
  return request({
    url: '/laboratory/classtype/listAll',
    method: 'get',
    params: query
  })
}

// 查询安全分级类型详细
export function getClasstype(id) {
  return request({
    url: '/laboratory/classtype/' + id,
    method: 'get'
  })
}

// 新增安全分级类型
export function addClasstype(data) {
  return request({
    url: '/laboratory/classtype',
    method: 'post',
    data: data
  })
}

// 修改安全分级类型
export function updateClasstype(data) {
  return request({
    url: '/laboratory/classtype',
    method: 'put',
    data: data
  })
}

// 删除安全分级类型
export function delClasstype(id) {
  return request({
    url: '/laboratory/classtype/' + id,
    method: 'delete'
  })
}
